package com.yihu.hos.arbiter.listener;

import com.yihu.hos.arbiter.services.ArbiterServerService;
import com.yihu.hos.core.log.Logger;
import com.yihu.hos.core.log.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.context.event.ContextRefreshedEvent;

public class ApplicationStartListener implements ApplicationListener<ContextRefreshedEvent> {
    private static Logger logger = LoggerFactory.getLogger(ApplicationStartListener.class);

    @Autowired
    private ArbiterServerService arbiterServerService;

    @Override
    public void onApplicationEvent(ContextRefreshedEvent contextRefreshedEvent) {
        arbiterServerStart();
    }


    public void arbiterServerStart() {
//        arbiterServerService.start();   //后期可以统一到Router上来处理
    }
}