package com.yihu.hos.arbiter.services;

import io.zbus.mq.Broker;
import io.zbus.mq.Message;
import io.zbus.mq.Producer;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

/**
 * @author Airhead
 * @since 2016/12/22.
 */
@SpringBootTest
public class ProxyServiceTest {
    @Autowired
    private Broker broker;

    @Test
    public void proxy() throws Exception {
        Producer producer = new Producer(broker);
        producer.declareTopic("RemoteControl");//确定为创建消息队列需要显示调用
        Message msg = new Message();
        msg.setTopic("RemoteControl");
        msg.setBody("hello world"); //消息体底层是byte[]
        msg = producer.publish(msg);
    }

}